function output = TOPOdLTransLOfaux(params,arg2)
%length of OPO onto phase of transmitted upper sideband
eval(params)
gammaORdLphi = -2*kr*(1-ror1*ror2*cos(phi))/(1-2*ror1*ror2*cos(phi)+(ror1*ror2)^2);
omegaOR1phi = -2*foFSR*(1-3*ror1*ror2*cos(phi)+((ror1*ror2)^2)*(2+cos(2*phi))-((ror1*ror2)^3)*cos(phi))/(1-ror1*ror2*cos(-phi)-((ror1*ror2)^2)*(2-cos(2*phi))+((ror1*ror2)^3)*cos(phi));

if omegaOR1phi > 0 ,  pole1 = [];
                       zero1 = -abs(omegaOR1phi);
                       gain1 = 1/abs(omegaOR1phi);
                       
elseif omegaOR1phi == 0, pole1 = [];
                         zero1 = [];
                         gain1 = 1;
                         
elseif omegaOR1phi <0, pole1 = -abs(omegaOR1phi);
                        zero1 = [];
                        gain1 = abs(omegaOR1phi);
end

poles = [pole1];
zeros = [zero1];
gain = -(1+a)*gammaORdLphi*gain1/2;

if strcmp(arg2, 'gain'), output = gain;
elseif strcmp(arg2, 'zeros'), output = zeros;
elseif strcmp(arg2, 'poles'), output = poles;
end